Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361179 - uglify-js: Update to 2.7.0 on f25 branch too
Summary: uglify-js: Update to 2.7.0 on f25 branch too
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: uglify-js
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1357879
TreeView+ depends on / blocked
 
Reported: 2016-07-28 12:45 UTC by Jun Aruga
Modified: 2016-08-01 09:46 UTC (History)
4 users (show)

Fixed In Version: uglify-js-2.7.0-2.fc25, uglify-js-2.7.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-01 09:46:04 UTC


Attachments (Terms of Use)

Description Jun Aruga 2016-07-28 12:45:41 UTC
Description of problem:

Could you update f25 branch's uglify-js.spec to 2.7.0?
I saw the rawhide(master) is updated to 2.7.0 yesterday.

f25 rubygem-uglifier want to use it.

Thanks.

Comment 1 Fedora Admin XMLRPC Client 2016-07-29 17:18:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Jun Aruga 2016-08-01 07:21:39 UTC
Hello, Jared K. Smith

I am writing this message here too, though I sent email to you.

Could you update below your commit to f25 branch?
Because rubygem-uglifier wants to use it.

```
commit 4fbe8e858203b69334e94dcd324795b4bae3ccb5
Author: Jared K. Smith <jaredsmith@jaredsmith.net>
Date:   Wed Jul 27 21:05:45 2016 -0400

    Update to upstream 2.7.0 release
```

Thanks.

Comment 3 Fedora Admin XMLRPC Client 2016-08-01 07:28:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Jun Aruga 2016-08-01 07:51:12 UTC
I took the owner by myself, because the owner was orphan.
And pushed it by myself to f25.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=15088456

Thanks.

Comment 5 Jun Aruga 2016-08-01 08:12:57 UTC
(In reply to Jun Aruga from comment #4)
> I took the owner by myself, because the owner was orphan.
> And pushed it by myself to f25.
> 
> Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=15088456
> 
> Thanks.

Sorry my mistake. above is scratch build and success.

However
http://koji.fedoraproject.org/koji/taskinfo?taskID=15088738
is failed.

Comment 6 Jun Aruga 2016-08-01 08:16:46 UTC
"fedpkg build" was failed like this.

https://kojipkgs.fedoraproject.org//work/tasks/8765/15088765/build.log

```
+ /usr/bin/node test/run-tests.js
...
  41 passing (37s)
  3 failing
  1) bin/uglifyjs should produce a functional build when using --self:
     Error: timeout of 5000ms exceeded. Ensure the done() callback is being called in this test.
  
  2) let Should not produce `let` as a variable name in mangle:
     Error: timeout of 10000ms exceeded. Ensure the done() callback is being called in this test.
      at Context.<anonymous> (test/mocha/let.js:27:9)
  3) spidermonkey export/import sanity test should produce a functional build when using --self with spidermonkey:
     Error: timeout of 20000ms exceeded. Ensure the done() callback is being called in this test.

```

Comment 7 Tom Hughes 2016-08-01 08:22:30 UTC
The failed one ran on an ARM builder, which will be slower than the x86 builder that the scratch build ran on.

You probably just need to increase the timeout in the tests.

Comment 8 Jun Aruga 2016-08-01 08:28:55 UTC
(In reply to Tom Hughes from comment #7)
> The failed one ran on an ARM builder, which will be slower than the x86
> builder that the scratch build ran on.
> 
> You probably just need to increase the timeout in the tests.

I got it.
Thank you for your information.

The difference of scratch build x86 builder and build ARM builder makes our package development harder.

Scratch build: success => push to the branch => build: failure.
I may push my modification to the branch many times in this situation.

Comment 9 Jun Aruga 2016-08-01 09:45:15 UTC
HI, Tom,
Thanks I could build successfully after increasing the timeout in the tests.
I pushed it to both f25 and master(rawhide).

f25 fedpkg build
http://koji.fedoraproject.org/koji/taskinfo?taskID=15089615
http://pkgs.fedoraproject.org/cgit/rpms/uglify-js.git/commit/?h=f25

rawhide fedpkg build
http://koji.fedoraproject.org/koji/taskinfo?taskID=15089900
http://pkgs.fedoraproject.org/cgit/rpms/uglify-js.git/commit/


Note You need to log in before you can comment on or make changes to this bug.